# $Revision: 1.14 $, $Date: 2002/06/30 00:45:57 $
%define		mod_name	auth_pgsql
%define 	apxs		/usr/sbin/apxs
Summary:	This is the PostgreSQL authentication module for Apache
Summary(cs):	Zkladn autentizace pro WWW server Apache pomoc PostgreSQL
Summary(da):	Autenticering for webtjeneren Apache fra en PostgreSQL-database
Summary(de):	Authentifizierung fr den Apache Web-Server, der eine PostgreSQL-Datenbank verwendet
Summary(es):	Autenticacin va PostgreSQL para Apache
Summary(fr):	Authentification de base pour le serveur Web Apache utilisant une base de donnes PostgreSQL
Summary(it):	Autenticazione di base per il server web Apache mediante un database PostgreSQL
Summary(ja):	PostgreSQL ǡ١Ȥä Apache Web Сؤδǧ
Summary(no):	Autentisering for webtjeneren Apache fra en PostgreSQL-database
Summary(pl):	Modu autentykacji PostgreSQL dla Apache
Summary(pt_BR):	Autenticao via PostgreSQL para o Apache
Summary(sv):	Grundlggande autenticering till webbservern Apache med en PostgreSQL-databas
Name:		apache-mod_%{mod_name}
Version:	0.9.12
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.giuseppetanzilli.it/mod_%{mod_name}/dist/mod_%{mod_name}-%{version}.tar.gz
BuildRequires:	postgresql-devel
BuildRequires:	%{apxs}
BuildRequires:	apache(EAPI)-devel
Prereq:		%{_sbindir}/apxs
Requires:	apache(EAPI)
URL:		http://www.giuseppetanzilli.it/mod_auth_pgsql/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	mod_auth_pgsql

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)

%description
This is an authentication module for Apache that allows you to
authenticate HTTP clients using postgresql RDBMS.

%description -l cs
Balek mod_auth_pgsql slou pro omezen pstupu k dokumentm, kter
poskytuje WWW server Apache. Jmna a hesla jsou uloena v databzi
PostgreSQL.

%description -l de
Mod_auth_pgsql kann verwendet werden, um den Zugriff auf von einem
Web- Server bediente Dokumente zu beschrnken, indem es die Felder in
einer Tabelle in einer PostgresQL-Datenbank prft.

%description -l es
Mod_auth_pgsql puede usarse para limitar el acceso a documentos
servidos desde un servidor web verificando datos en una base de datos
PostgreSQL.

%description -l fr
mod_auth_pgsql peut tre utilis pour limiter l'accs  des documents
servis par un serveur Web en vrifiant des champs dans une table d'une
base de donnes PostgresQL.

%description -l it
Mod_auth_pgsql pu essere usato per limitare l'accesso a documenti
serviti da un server Web controllando i campi di una tabella in un
database PostgresQL.

%description -l ja
Mod_auth_pgsql ϡPostgresQL ǡ١Υơ֥Υեɤ
å뤳ȤˤäơWeb С󶡤ʸؤΥ
¤Ǥޤ

%description -l pl
To jest modu autentykacji dla Apache pozwalajcy na autentykacj
klientw HTTP z uyciem bazy danych postgresql.

%description -l pt_BR
Com o mod_auth_pgsql voc pode fazer autenticao no Apache usando o
PostgreSQL.

%description -l sv
Mod_auth_pgsql kan anvndas fr att begrnsa tkomsten till dokument
servade av en webbserver genom att kontrollera data i en
PostgreSQL-databas.

%prep
%setup -q -n "mod_%{mod_name}-%{version}"

%build
%{apxs} \
	-I %{_includedir}/postgresql \
	-l pq \
	-c mod_%{mod_name}.c \
	-o mod_%{mod_name}.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkglibdir}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/apxs -e -a -n auth_pgsql %{_pkglibdir}/mod_%{mod_name}.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	%{_sbindir}/apxs -e -A -n auth_pgsql %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc *.html
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apache-mod_auth_pgsql.spec,v $
Revision 1.14  2002/06/30 00:45:57  kloczek
- release 4: mod_auth_pgsql added to Obsoletes.

Revision 1.13  2002/04/25 15:45:30  arturs
fixed a small typo

Revision 1.12  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/17 21:04:45  ankry
- release 3

Revision 1.10  2002/02/17 19:01:42  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.9  2002/02/17 04:58:49  kloczek
- reelase 2.

Revision 1.8  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.7  2002/01/18 02:12:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2002/01/13 17:11:23  kloczek
- updayed to 0.9.12 (bugfix release).

Revision 1.5  2001/11/23 02:44:12  kloczek
- updated to 0.9.11,
- removed outdated version patch.

Revision 1.4  2001/10/31 14:10:04  qboosh
- pl translations

Revision 1.3  2001/10/25 08:32:58  kloczek
- merge translations from CNV.

Revision 1.2  2001/10/24 14:12:36  zagrodzki
- added documentation

Revision 1.1  2001/10/24 14:04:50  zagrodzki
- initial release
